For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
            • Companies
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Details
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert BigCommerce Customer Group into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company Catalog
              • PUTUpdate Company Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementCompanyCompanies

Update Company

PUT
https://api-b2b.bigcommerce.com/api/v3/io/companies/:companyId
PUT
/api/v3/io/companies/:companyId
$curl -X PUT https://api-b2b.bigcommerce.com/api/v3/io/companies/123456 \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "companyName": "Great Buys Inc",
> "companyEmail": "admin@greatbuys.com"
>}'
1{
2 "code": 200,
3 "meta": {
4 "message": "SUCCESS"
5 },
6 "data": {
7 "companyId": 12
8 }
9}
Updates a Company’s attributes. If you have configured required information fields in your store’s Extra Fields settings for Company accounts or Company users, you must include the field’s name and value in the `extraFields` array of the request body. For more information on extra fields, see [B2B Edition Settings](https://support.bigcommerce.com/s/article/B2B-Edition-Settings) in the Help Center. ### Independent vs. Dependent Companies Behavior This endpoint applies the same rules to the `customerGroupId` field as [Create a Company](#create-a-company), based on the Company behavior used in your store. Additionally, the `priceListAssign` field is not compatible with Independent Companies behavior because a Company’s price list is configured from its assigned customer group. If your store is using Dependent Companies behavior, use the `priceListAssign` field to assign a price list to the Company account.
Was this page helpful?
Previous

Get Company Details

Next

Delete Company

Built with

Updates a Company’s attributes.

If you have configured required information fields in your store’s Extra Fields settings for Company accounts or Company users, you must include the field’s name and value in the extraFields array of the request body. For more information on extra fields, see B2B Edition Settings in the Help Center.

Independent vs. Dependent Companies Behavior

This endpoint applies the same rules to the customerGroupId field as Create a Company, based on the Company behavior used in your store. Additionally, the priceListAssign field is not compatible with Independent Companies behavior because a Company’s price list is configured from its assigned customer group.

If your store is using Dependent Companies behavior, use the priceListAssign field to assign a price list to the Company account.

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

companyIdintegerRequired
Unique numeric ID of the Company account.

Request

This endpoint expects an object.
companyNamestringOptional>=1 character
companyEmailstringOptional>=1 character
customerGroupIdintegerOptional
The ID of the BigCommerce customer group assigned to the Company account. This field can be static or configurable depending on whether or not your store uses Independent Companies behavior. See [Independent Companies Behavior](/developer/api-reference/rest/b2b/management/company/companies#independent-vs-dependent-companies-behavior) for more information.
uuidstringOptionalformat: "uuid"

An external ID assigned to the Company account in a third-party system, such as an ERP. Leave this field blank if you do not have an external system.

priceListAssignlist of objectsOptional
Use this array to assign a price list to a Company account if your store uses legacy Dependent Companies behavior *and* it has Multi-Storefront enabled. Use catalogId to assign price lists if you have not enabled Multi-Storefront. This field is read-only for stores using Independent Companies behavior. See [Independent Companies Behavior](/developer/api-reference/rest/b2b/management/company/companies#independent-vs-dependent-companies-behavior) for more information.
extraFieldslist of objectsOptional

To use customized extra fields with field names you need to first add company extra fields in Settings > Extra fields inside B2B edition.

e.g., If you want to create a new company with an extra integer field named licenseNO, you can use this structure [{‘fieldName’: ‘LicenseNO’, ‘fieldValue’: 10342340323}] in the request body.

Response

OK
codedouble
metaobject
dataobject

Errors

404
Not Found Error
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

The ID of the BigCommerce customer group assigned to the Company account. This field can be static or configurable depending on whether or not your store uses Independent Companies behavior. See Independent Companies Behavior for more information.

Use this array to assign a price list to a Company account if your store uses legacy Dependent Companies behavior and it has Multi-Storefront enabled. Use catalogId to assign price lists if you have not enabled Multi-Storefront.

This field is read-only for stores using Independent Companies behavior. See Independent Companies Behavior for more information.